<?php
/**
 * Template Name: Custom Home Page
 */
get_header(); ?>

<main id="content">
  <div class="container">
      <section id="slider">
        <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
          <?php
            for ( $i = 1; $i <= 4; $i++ ) {
              $mod =  get_theme_mod( 'ovation_blog_post_setting' . $i );
              if ( 'page-none-selected' != $mod ) {
                $slide_pages[] = $mod;
              }
            }
             if( !empty($slide_pages) ) :
            $args = array(
              'post_type' =>array('post','page'),
              'post__in' => $slide_pages
            );
            $query = new WP_Query( $args );
            if ( $query->have_posts() ) :
              $i = 1;
          ?>
          <div class="carousel-inner" role="listbox">
            <?php  while ( $query->have_posts() ) : $query->the_post(); ?>
            <div <?php if($i == 1){echo 'class="carousel-item active"';} else{ echo 'class="carousel-item"';}?>>
              <img src="<?php the_post_thumbnail_url('full'); ?>"/>
              <div class="carousel-caption">
                <div class="inner_carousel">
                  <h2><a href="<?php the_permalink(); ?>"><?php the_title();?></a></h2>
                  <div class="date-box mt-4">
                    <span class="mr-3"><i class="far fa-calendar-alt mr-2"></i><?php the_time( get_option( 'date_format' ) ); ?></span>
                    <span class="entry-comments"><i class="fas fa-comments mr-2"></i> <?php comments_number( __('0 Comments','ovation-health-blog'), __('0 Comments','ovation-health-blog'), __('% Comments','ovation-health-blog')); ?></span>
                  </div>
                </div>
              </div>
            </div>
            <?php $i++; endwhile;
            wp_reset_postdata();?>
          </div>
          <?php else : ?>
          <div class="no-postfound"></div>
            <?php endif;
          endif;?>
            <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
              <span class="carousel-control-prev-icon" aria-hidden="true"><i class="fas fa-arrow-left"></i></span>
            </a>
            <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
              <span class="carousel-control-next-icon" aria-hidden="true"><i class="fas fa-arrow-right"></i></span>
            </a>
        </div>
        <div class="clearfix"></div>
      </section>

    <section id="featured_post" class="py-5">
      <div class="row">
        <?php
        $catData1=  get_theme_mod('ovation_blog_top_category_setting');if($catData1){
        $page_query = new WP_Query(array( 'category_name' => esc_html($catData1 ,'ovation-health-blog')));?>
          <?php while( $page_query->have_posts() ) : $page_query->the_post(); ?>
            <div class="col-lg-4 col-md-6 col-sm-6">
              <div class="box mb-4">
                <?php the_post_thumbnail(); ?>
                <div class="box-content">
                  <h4><a href="<?php the_permalink(); ?>"><?php the_title();?></a></h4>
                </div>
              </div>
            </div>
          <?php endwhile;
          wp_reset_postdata();
        }?>
      </div>
    </section>
  </div>
</main>

<?php get_footer(); ?>
